## Class subscript_result

boost::log::expressions::channel_severity_filter_actor::subscript_result — An auxiliary pseudo-reference to implement insertion through subscript operator.

## Synopsis

    // In header: <boost/log/expressions/predicates/channel_severity_filter.hpp>

    // An auxiliary pseudo-reference to implement insertion through subscript
    // operator.

    class subscript_result {
    public:
      // construct/copy/destruct
      subscript_result(channel_severity_filter_actor &,
                       channel_value_type const &);
      void operator=(severity_value_type const &);
    };

## Description

### `subscript_result` public construct/copy/destruct

1.     subscript_result(channel_severity_filter_actor & owner,
                        channel_value_type const & channel);

2.     void operator=(severity_value_type const & severity);